### Function

# GLib EqualFuncFull

since: 2.74

#### Declaration

    gboolean
    (* GEqualFuncFull) (
      gconstpointer a,
      gconstpointer b,
      gpointer user_data
    )

#### Description [src]

Specifies the type of a function used to test two values for equality. The function should return `TRUE` if both values are equal and `FALSE` otherwise.

This is a version of `GEqualFunc` which provides a `user_data` closure from the caller.

Available since: 2.74

#### Parameters

`a`

  Type: `gconstpointer`

  A value.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`b`

  Type: `gconstpointer`

  A value to compare with.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data provided by the caller.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if `a` = `b`; `FALSE` otherwise.